aboutsummaryrefslogtreecommitdiff
path: root/ci/test/00_setup_env.sh
diff options
context:
space:
mode:
authorMarcoFalke <falke.marco@gmail.com>2019-09-24 16:22:24 -0400
committerMarcoFalke <falke.marco@gmail.com>2019-09-24 16:21:49 -0400
commitfa449b89b51df7670248cb3504d91f93fc68e0c2 (patch)
tree519e551c6232bc3447badfd06fbc35a42e3563e1 /ci/test/00_setup_env.sh
parentc838f2707ab741a348ac1684d1683f61263d981a (diff)
downloadbitcoin-fa449b89b51df7670248cb3504d91f93fc68e0c2.tar.xz
ci: Set $HOST before setting fallback values
Diffstat (limited to 'ci/test/00_setup_env.sh')
-rwxr-xr-xci/test/00_setup_env.sh15
1 files changed, 7 insertions, 8 deletions
diff --git a/ci/test/00_setup_env.sh b/ci/test/00_setup_env.sh
index 51b5cfdd3f..757a159fe5 100755
--- a/ci/test/00_setup_env.sh
+++ b/ci/test/00_setup_env.sh
@@ -6,11 +6,17 @@
export LC_ALL=C.UTF-8
-echo "Setting default values in env"
+echo "Setting specific values in env"
+if [ -n "${FILE_ENV}" ]; then
+ set -o errexit;
+ # shellcheck disable=SC1090
+ source "${FILE_ENV}"
+fi
BASE_ROOT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../../ >/dev/null 2>&1 && pwd )
export BASE_ROOT_DIR
+echo "Fallback to default values in env (if not yet set)"
# The number of parallel jobs to pass down to make and test_runner.py
export MAKEJOBS=${MAKEJOBS:--j4}
# A folder for the ci system to put temporary files (ccache, datadirs for tests, ...)
@@ -34,10 +40,3 @@ export GOAL=${GOAL:-install}
export DIR_QA_ASSETS=${DIR_QA_ASSETS:-${BASE_BUILD_DIR}/qa-assets}
export PATH=${BASE_ROOT_DIR}/ci/retry:$PATH
export CI_RETRY_EXE=${CI_RETRY_EXE:retry}
-
-echo "Setting specific values in env"
-if [ -n "${FILE_ENV}" ]; then
- set -o errexit;
- # shellcheck disable=SC1090
- source "${FILE_ENV}"
-fi